commit:     02196c63a552d4cce53f85053fb0ed49836c9a50
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 16:07:21 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 16:08:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02196c63

dev-python/genson: PEP517, py3.11

Closes: https://bugs.gentoo.org/896782
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/genson/genson-1.1.0-r1.ebuild | 33 ++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-python/genson/genson-1.1.0-r1.ebuild 
b/dev-python/genson/genson-1.1.0-r1.ebuild
new file mode 100644
index 000000000000..efd955f3b71a
--- /dev/null
+++ b/dev-python/genson/genson-1.1.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="GenSON is a powerful, user-friendly JSON Schema generator built 
in Python"
+HOMEPAGE="
+       https://github.com/wolverdude/GenSON/
+       https://pypi.org/project/genson/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       distutils-r1_src_prepare
+       # https://github.com/wolverdude/GenSON/pull/70
+       sed -i -e 's@TEST_URI@test://@' test/test_builder.py || die
+}

Reply via email to